.news-item {
  position: relative;
  &:hover {
    .news-item__cover {
      box-shadow: 0 15px 30px -7px rgba(0,0,0,0.3);
      transform: translateY(-3px);
    }
    .news-item__label {
      opacity: 1;
    }
  }
  &__cover {
    position: relative;
    padding-top: 56%;
    display: flex;
    height: 0;
    margin-bottom: 30px;
    transition: all 0.35s $--easeOutQuart;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    @include media-breakpoint-down(sm) {
      margin-bottom: 20px;
    }
    img {
      max-width: 100%;
      height: auto;
    }
  }
  &__link {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 150;
  }
  &__date {
    font-size: $-font-size-small;
    opacity: 0.4;
  }
  .news-item__label {
    font-size: $-font-size-base;
    font-family: $-font-medium-public;
    line-height: 32px;
    letter-spacing: 0.6px;
    opacity: 0.6;
    margin-bottom: 10px;
    transition: opacity 0.2s ease-in-out;
    @include media-breakpoint-down(xs) {
      font-size: $-font-size-sm;
      line-height: 28px;
    }
  }
  &.main-news {
    .news-item__wrapper {
      position: relative;
    }
    .news-item__cover::after {
      content: '';
      position: absolute;
      left: 0;
      bottom: 0;
      width: 100%;
      height: 100%;
      z-index: 20;
      background-image: linear-gradient(to top, rgba(0,0,0,0.7), rgba(0,0,0,0));
    }
    .news-item__text {
      position: absolute;
      max-width: 900px;
      left: 0;
      bottom: 0;
      padding: 40px;
      z-index: 150;
      transition: transform 0.55s $--easeOutQuart;
    }
    .news-item__label {
      color: $--color-white;
      opacity: 0.8;
      font-size: 26px;
      line-height: 35px;
    }
    .news-item__date {
      color: $--color-white;
      opacity: 1;
    }
    &:hover {
      .news-item__label {
        opacity: 1;
      }
      .news-item__text {
        transform: translateY(-5px);
      }
    }
  }
}
